Bug 484414 - libvir: Remote error : no call waiting for reply with serial 2
libvir: Remote error : no call waiting for reply with serial 2
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11VirtTarget
  Show dependency treegraph
 
Reported: 2009-02-06 12:28 EST by Mark McLoughlin
Modified: 2009-02-06 14:58 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-06 14:58:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark McLoughlin 2009-02-06 12:28:27 EST
Description of problem:

While running libvirt commands on a node I saw the following connect to hypervisor errror. The issue seemed to clear itself and I could again run virsh commands. There were no vm's installed on the node.

[root@tyan-gt24-13 ~]# virsh list
libvir: Remote error : no call waiting for reply with serial 2
error: failed to connect to the hypervisor

[root@tyan-gt24-13 ~]# LIBVIRT_DEBUG=1 virsh list
20:23:19.261: debug : virInitialize:287 : register drivers
20:23:19.261: debug : virRegisterDriver:660 : registering Test as driver 0
20:23:19.261: debug : virRegisterNetworkDriver:560 : registering Test as network driver 0
20:23:19.261: debug : virRegisterStorageDriver:591 : registering Test as storage driver 0
20:23:19.261: debug : virRegisterDeviceMonitor:622 : registering Test as device driver 0
20:23:19.261: debug : virRegisterDriver:660 : registering Xen as driver 1
20:23:19.261: debug : virRegisterDriver:660 : registering OPENVZ as driver 2
20:23:19.261: debug : virRegisterDriver:660 : registering remote as driver 3
20:23:19.262: debug : virRegisterNetworkDriver:560 : registering remote as network driver 1
20:23:19.262: debug : virRegisterStorageDriver:591 : registering remote as storage driver 1
20:23:19.262: debug : virRegisterDeviceMonitor:622 : registering remote as device driver 1
20:23:19.262: debug : virConnectOpenAuth:1082 : name=(null), auth=0x2b4a90fe3ec0, flags=0
20:23:19.262: debug : do_open:904 : no name, allowing driver auto-select
20:23:19.262: debug : do_open:912 : trying driver 0 (Test) ...
20:23:19.262: debug : do_open:918 : driver 0 Test returned DECLINED
20:23:19.262: debug : do_open:912 : trying driver 1 (Xen) ...
20:23:19.262: debug : do_open:918 : driver 1 Xen returned DECLINED
20:23:19.262: debug : do_open:912 : trying driver 2 (OPENVZ) ...
20:23:19.262: debug : do_open:918 : driver 2 OPENVZ returned DECLINED
20:23:19.262: debug : do_open:912 : trying driver 3 (remote) ...
20:23:19.262: debug : remoteOpen:1002 : Auto-probe remote URI
20:23:19.262: debug : doRemoteOpen:514 : proceeding with name = 
20:23:19.262: debug : call:6310 : Doing call 66 (nil)
20:23:19.262: debug : call:6380 : We have the buck 66 0x2b4a90b94010 0x2b4a90b94010
20:23:19.262: debug : processCallRecvLen:5980 : Got length, now need 36 total (32 more)
20:23:19.262: debug : processCalls:6248 : Giving up the buck 66 0x2b4a90b94010 (nil)
20:23:19.262: debug : call:6411 : All done with our call 66 (nil) 0x2b4a90b94010
20:23:19.262: debug : call:6310 : Doing call 1 (nil)
20:23:19.262: debug : call:6380 : We have the buck 1 0x1c499220 0x1c499220
20:23:19.262: debug : processCallRecvLen:5980 : Got length, now need 36 total (32 more)
libvir: Remote error : no call waiting for reply with serial 0
20:23:19.262: debug : do_open:918 : driver 3 remote returned ERROR
20:23:19.262: debug : virUnrefConnect:226 : unref connection 0x1c492530 1
20:23:19.262: debug : virReleaseConnect:187 : release connection 0x1c492530
error: failed to connect to the hypervisor
[root@tyan-gt24-13 ~]# virsh list
 Id Name                 State
----------------------------------

[root@tyan-gt24-13 ~]# virsh list
 Id Name                 State
----------------------------------

[root@tyan-gt24-13 ~]# virsh list
 Id Name                 State
----------------------------------

[root@tyan-gt24-13 ~]# virsh list
 Id Name                 State
----------------------------------

[root@tyan-gt24-13 ~]# virsh list --all
 Id Name                 State
----------------------------------

Version-Release number of selected component (if applicable):

libvirt-0.6.0-1.fc11.x86_64

How reproducible:
seen on one node testing manually so far

--- Additional comment from mjenner@redhat.com on 2009-02-03 17:07:04 EDT ---

seems the addition of libvirt 0.6 is suspected

--- Additional comment from berrange@redhat.com on 2009-02-05 11:01:45 EDT ---

I've managed to reproduce this problem now. It appears to occurr after you have had a failure to start a QEMU guest.  Once it occurs, it'll clear itself after a couple more client connections have tried & failed.

--- Additional comment from berrange@redhat.com on 2009-02-05 12:20:21 EDT ---

Created an attachment (id=331034)
Fixes all the bugs causing this condition

http://www.redhat.com/archives/libvir-list/2009-February/msg00104.html
Comment 1 Daniel Berrange 2009-02-06 14:58:27 EST
* Fri Feb  6 2009 Daniel P. Berrange <berrange@redhat.com> - 0.6.0-2.fc11
- Fix libvirtd --timeout usage
- Fix RPC call problems and QEMU startup handling (rhbz #484414)
- Fix unowned directories (rhbz #483442)


$ koji latest-pkg dist-f11 libvirt
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
libvirt-0.6.0-2.fc11                      dist-f11              berrange

Note You need to log in before you can comment on or make changes to this bug.